Subject: Re: bug#63215: [PATCH mumi 0/2] Cc all issue participants when sending email

From: Maxim Cournoyer <[email-masked]>
Date: Sat, 06 May 2023 22:27:35 -0400

Hi Arun,

Arun Isaac <[email-masked]> writes:

> Hi Maxim,
>
>> If you meant that it's mumi instead of git that should call
>> etc/teams.scm, it makes sense.  I'm not sure the functionality of
>> teams.scm proper should be moved wholesale into mumi, as it's useful
>> outside of mumi (for plain git users, say).
>
> I see your point about keeping things working for plain git users. Makes
> sense.
>
>> Mumi could invoke etc/teams.scm to produce the list of team members for
>> the changes involved, add any missing collaborators retrieved from the
>> message data to the set (avoiding duplicates), then format the
>> 'X-Debbugs-CC' header with comma-separated values.  It should then
>> invoke git with the '--no-header-cmd' option to avoid teams.scm being
>> called again.
>
> mumi invoking etc/teams.scm is not so nice since that means coupling
> mumi to the specific repository layout of guix. This reduces its
> generality to other projects, say skribilo.

Perhaps it could use the value of `git config sendemail.headerCmd` to
figure out which script already produces X-Debbugs-CC headers, if any.

> Maybe, let's just keep multiple X-Debbugs-Cc headers for now. Let mumi
> and teams.scm be unaware of each other for now. We can revisit the
> question of coupling them later.

OK, sounds good to me.

-- 
Thanks,
Maxim